Update WorkflowTaskSchema
Update WorkflowTaskSchema.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
workflow_task_schema_id
ID of the WorkflowTaskSchema.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Request
This endpoint expects an object.
archiveReason
archived
canOnlyBePartOfFlowchart
Whether tasks of this schema can only exist as part of a flowchart.
canSetAssigneeOnTaskCreation
Whether tasks of this schema can be created with a non-null assignee.
defaultCreationFolderId
API ID of the default folder for creating workflow task groups.
defaultEntryExecutionFolderId
API ID of the default folder for workflow task execution entries.
defaultResponsiblePartyIds
API IDs of the default responsible parties for tasks of this schema.
isPropagateWatchersEnabled
Whether watchers are propagated for tasks of this schema.
name
Updated user-facing name. When provided, must be non-empty after stripping whitespace, at most 255 characters, and unique within the organization.
prefix
The prefix for the displayId of tasks of this schema.
systemName
Updated SQL identifier for the warehouse table name. When provided, must match the pattern [a-z_][a-z0-9_$]*, cannot be a reserved table name, cannot start with ‘bnch$’, and must be unique within the organization.
taskGroupInstructions
The instructions for task groups of this schema.
taskGroupPrefix
The prefix for the displayId of task groups containing tasks of this schema.
workflowOutputSchema
The output schema configuration for tasks of this schema.
displayNameDeprecated
Deprecated. Use name instead.
Response
OK
__typename
archiveReason
archived
canOnlyBePartOfFlowchart
canSetAssigneeOnTaskCreation
Whether or not tasks of this schema can be created with a non-null assignee.
createdAt
defaultCreationFolder
ID of the default folder for creating workflow task groups
defaultEntryExecutionFolder
ID of the default folder for workflow task execution entries
entryTemplate
The ID of the template of the entries tasks of this schema will be
executed into.
executionType
The method by which instances of this schema are executed
fieldDefinitions
id
isPropagateWatchersEnabled
modifiedAt
name
organization
The organization that owns the schema.
prefix
The prefix for the displayId of tasks of this schema.
systemName
A unique, stable identifier for this schema used for programmatic access and integrations.
taskGroupInstructions
The instructions for task groups of this schema
taskGroupPrefix
The prefix for the displayId of task groups containing tasks of this
schema
validationRules
workflowOutputSchema
Errors
400
Workflow Task Schema Update Request Bad Request Error
403
Workflow Task Schema Update Request Forbidden Error
404
Workflow Task Schema Update Request Not Found Error
409
Workflow Task Schema Update Request Conflict Error
429
Workflow Task Schema Update Request Too Many Requests Error
500
Workflow Task Schema Update Request Internal Server Error